- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes

# QMetaObject Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 295 of file qobjectdefs.h.

`#include <qobjectdefs.h>`

List of all members.

## Public Types
enum | Call { InvokeMetaMethod, ReadProperty, WriteProperty, ResetProperty, QueryPropertyDesignable, QueryPropertyScriptable, QueryPropertyStored, QueryPropertyEditable, QueryPropertyUser, CreateInstance }
## Public Member Functions
const char * | className () const
const QMetaObject * | superClass () const
QObject * | cast (QObject *obj) const
QString | tr (const char *s, const char *c) const
QString | trUtf8 (const char *s, const char *c) const
QString | tr (const char *s, const char *c, int n) const
QString | trUtf8 (const char *s, const char *c, int n) const
int | methodOffset () const
int | enumeratorOffset () const
int | propertyOffset () const
int | classInfoOffset () const
int | constructorCount () const
int | methodCount () const
int | enumeratorCount () const
int | propertyCount () const
int | classInfoCount () const
int | indexOfConstructor (const char *constructor) const
int | indexOfMethod (const char *method) const
int | indexOfSignal (const char *signal) const
int | indexOfSlot (const char *slot) const
int | indexOfEnumerator (const char *name) const
int | indexOfProperty (const char *name) const
int | indexOfClassInfo (const char *name) const
QMetaMethod | constructor (int index) const
QMetaMethod | method (int index) const
QMetaEnum | enumerator (int index) const
QMetaProperty | property (int index) const
QMetaClassInfo | classInfo (int index) const
QMetaProperty | userProperty () const
QObject * | newInstance (QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument()) const
int | static_metacall (Call, int, void **) const
## Static Public Member Functions
static bool | checkConnectArgs (const char *signal, const char *method)
static QByteArray | normalizedSignature (const char *method)
static QByteArray | normalizedType (const char *type)
static bool | connect (const QObject *sender, int signal_index, const QObject *receiver, int method_index, int type=0, int *types=0)
static bool | disconnect (const QObject *sender, int signal_index, const QObject *receiver, int method_index)
static bool | disconnectOne (const QObject *sender, int signal_index, const QObject *receiver, int method_index)
static void | connectSlotsByName (QObject *o)
static void | activate (QObject *sender, int signal_index, void **argv)
static void | activate (QObject *sender, int from_signal_index, int to_signal_index, void **argv)
static void | activate (QObject *sender, const QMetaObject *, int local_signal_index, void **argv)
static void | activate (QObject *sender, const QMetaObject *, int from_local_signal_index, int to_local_signal_index, void **argv)
static void | addGuard (QObject **ptr)
static void | removeGuard (QObject **ptr)
static void | changeGuard (QObject **ptr, QObject *o)
static bool | invokeMethod (QObject *obj, const char *member, Qt::ConnectionType, QGenericReturnArgument ret, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument())
static bool | invokeMethod (QObject *obj, const char *member, QGenericReturnArgument ret, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument())
static bool | invokeMethod (QObject *obj, const char *member, Qt::ConnectionType type, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument())
static bool | invokeMethod (QObject *obj, const char *member, QGenericArgument val0=QGenericArgument(0), QGenericArgument val1=QGenericArgument(), QGenericArgument val2=QGenericArgument(), QGenericArgument val3=QGenericArgument(), QGenericArgument val4=QGenericArgument(), QGenericArgument val5=QGenericArgument(), QGenericArgument val6=QGenericArgument(), QGenericArgument val7=QGenericArgument(), QGenericArgument val8=QGenericArgument(), QGenericArgument val9=QGenericArgument())
static int | metacall (QObject *, Call, int, void **)
## Public Attributes
struct {
const QMetaObject * superdata
const char * stringdata
const uint * data
const void * extradata
} | d

## Member Enumeration Documentation

enum Call

Search for all occurrences

Enumerator:

  InvokeMetaMethod | Search for all occurrences
  ReadProperty | Search for all occurrences
  WriteProperty | Search for all occurrences
  ResetProperty | Search for all occurrences
  QueryPropertyDesignable | Search for all occurrences
  QueryPropertyScriptable | Search for all occurrences
  QueryPropertyStored | Search for all occurrences
  QueryPropertyEditable | Search for all occurrences
  QueryPropertyUser | Search for all occurrences
  CreateInstance | Search for all occurrences

Definition at line 438 of file qobjectdefs.h.

                  {
            InvokeMetaMethod,
            ReadProperty,
            WriteProperty,
            ResetProperty,
            QueryPropertyDesignable,
            QueryPropertyScriptable,
            QueryPropertyStored,
            QueryPropertyEditable,
            QueryPropertyUser,
            CreateInstance
        };

## Member Function Documentation

const char * className | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 479 of file qobjectdefs.h.

    { return d.stringdata; }

const QMetaObject * superClass | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 482 of file qobjectdefs.h.

    { return d.superdata; }

QObject* cast | ( | QObject * | obj | ) | const

Search for all occurrences

QString tr | ( | const char * | s,
|  | const char * | c
| ) |  | const

Search for all occurrences

QString trUtf8 | ( | const char * | s,
|  | const char * | c
| ) |  | const

Search for all occurrences

QString tr | ( | const char * | s,
|  | const char * | c,
|  | int | n
| ) |  | const

Search for all occurrences

QString trUtf8 | ( | const char * | s,
|  | const char * | c,
|  | int | n
| ) |  | const

Search for all occurrences

int methodOffset | ( |  | ) | const

Search for all occurrences

int enumeratorOffset | ( |  | ) | const

Search for all occurrences

int propertyOffset | ( |  | ) | const

Search for all occurrences

int classInfoOffset | ( |  | ) | const

Search for all occurrences

int constructorCount | ( |  | ) | const

Search for all occurrences

int methodCount | ( |  | ) | const

Search for all occurrences

int enumeratorCount | ( |  | ) | const

Search for all occurrences

int propertyCount | ( |  | ) | const

Search for all occurrences

int classInfoCount | ( |  | ) | const

Search for all occurrences

int indexOfConstructor | ( | const char * | constructor | ) | const

Search for all occurrences

int indexOfMethod | ( | const char * | method | ) | const

Search for all occurrences

int indexOfSignal | ( | const char * | signal | ) | const

Search for all occurrences

int indexOfSlot | ( | const char * | slot | ) | const

Search for all occurrences

int indexOfEnumerator | ( | const char * | name | ) | const

Search for all occurrences

int indexOfProperty | ( | const char * | name | ) | const

Search for all occurrences

int indexOfClassInfo | ( | const char * | name | ) | const

Search for all occurrences

QMetaMethod constructor | ( | int | index | ) | const

Search for all occurrences

QMetaMethod method | ( | int | index | ) | const

Search for all occurrences

QMetaEnum enumerator | ( | int | index | ) | const

Search for all occurrences

QMetaProperty property | ( | int | index | ) | const

Search for all occurrences

QMetaClassInfo classInfo | ( | int | index | ) | const

Search for all occurrences

QMetaProperty userProperty | ( |  | ) | const

Search for all occurrences

static bool checkConnectArgs | ( | const char * | signal,
|  | const char * | method
| ) |  | `[static]`

Search for all occurrences

static QByteArray normalizedSignature | ( | const char * | method | ) | `[static]`

Search for all occurrences

static QByteArray normalizedType | ( | const char * | type | ) | `[static]`

Search for all occurrences

static bool connect | ( | const QObject * | sender,
|  | int | signal_index,
|  | const QObject * | receiver,
|  | int | method_index,
|  | int | type = `0`,
|  | int * | types = `0`
| ) |  | `[static]`

Search for all occurrences

static bool disconnect | ( | const QObject * | sender,
|  | int | signal_index,
|  | const QObject * | receiver,
|  | int | method_index
| ) |  | `[static]`

Search for all occurrences

static bool disconnectOne | ( | const QObject * | sender,
|  | int | signal_index,
|  | const QObject * | receiver,
|  | int | method_index
| ) |  | `[static]`

Search for all occurrences

static void connectSlotsByName | ( | QObject * | o | ) | `[static]`

Search for all occurrences

static void activate | ( | QObject * | sender,
|  | int | signal_index,
|  | void ** | argv
| ) |  | `[static]`

Search for all occurrences

static void activate | ( | QObject * | sender,
|  | int | from_signal_index,
|  | int | to_signal_index,
|  | void ** | argv
| ) |  | `[static]`

Search for all occurrences

static void activate | ( | QObject * | sender,
|  | const QMetaObject * | ,
|  | int | local_signal_index,
|  | void ** | argv
| ) |  | `[static]`

Search for all occurrences

static void activate | ( | QObject * | sender,
|  | const QMetaObject * | ,
|  | int | from_local_signal_index,
|  | int | to_local_signal_index,
|  | void ** | argv
| ) |  | `[static]`

Search for all occurrences

static void addGuard | ( | QObject ** | ptr | ) | `[static]`

Search for all occurrences

static void removeGuard | ( | QObject ** | ptr | ) | `[static]`

Search for all occurrences

static void changeGuard | ( | QObject ** | ptr,
|  | QObject * | o
| ) |  | `[static]`

Search for all occurrences

static bool invokeMethod | ( | QObject * | obj,
|  | const char * | member,
|  | Qt::ConnectionType | ,
|  | QGenericReturnArgument | ret,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | `[static]`

Search for all occurrences

static bool invokeMethod | ( | QObject * | obj,
|  | const char * | member,
|  | QGenericReturnArgument | ret,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 377 of file qobjectdefs.h.

        {
            return invokeMethod(obj, member, Qt::AutoConnection, ret, val0, val1, val2, val3,
                    val4, val5, val6, val7, val8, val9);
        }

static bool invokeMethod | ( | QObject * | obj,
|  | const char * | member,
|  | Qt::ConnectionType | type,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 394 of file qobjectdefs.h.

        {
            return invokeMethod(obj, member, type, QGenericReturnArgument(), val0, val1, val2,
                                     val3, val4, val5, val6, val7, val8, val9);
        }

static bool invokeMethod | ( | QObject * | obj,
|  | const char * | member,
|  | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 411 of file qobjectdefs.h.

        {
            return invokeMethod(obj, member, Qt::AutoConnection, QGenericReturnArgument(), val0,
                    val1, val2, val3, val4, val5, val6, val7, val8, val9);
        }

QObject* newInstance | ( | QGenericArgument | val0 = `QGenericArgument(0)`,
|  | QGenericArgument | val1 = `QGenericArgument()`,
|  | QGenericArgument | val2 = `QGenericArgument()`,
|  | QGenericArgument | val3 = `QGenericArgument()`,
|  | QGenericArgument | val4 = `QGenericArgument()`,
|  | QGenericArgument | val5 = `QGenericArgument()`,
|  | QGenericArgument | val6 = `QGenericArgument()`,
|  | QGenericArgument | val7 = `QGenericArgument()`,
|  | QGenericArgument | val8 = `QGenericArgument()`,
|  | QGenericArgument | val9 = `QGenericArgument()`
| ) |  | const

Search for all occurrences

int static_metacall | ( | Call | ,
|  | int | ,
|  | void ** |
| ) |  | const

Search for all occurrences

static int metacall | ( | QObject * | ,
|  | Call | ,
|  | int | ,
|  | void ** |
| ) |  | `[static]`

Search for all occurrences

## Member Data Documentation

const QMetaObject* superdata

Search for all occurrences

Definition at line 459 of file qobjectdefs.h.

const char* stringdata

Search for all occurrences

Definition at line 460 of file qobjectdefs.h.

const uint* data

Search for all occurrences

Definition at line 461 of file qobjectdefs.h.

const void* extradata

Search for all occurrences

Definition at line 462 of file qobjectdefs.h.

struct { ... } d

Search for all occurrences

The documentation for this struct was generated from the following file:

- QtCore/qobjectdefs.h